ObjectBrowser (Groovy 4.0.15)

Package: groovy.console.ui

## [Groovy] Class ObjectBrowser

- groovy.console.ui.ObjectBrowser

-     class ObjectBrowser
      extends Object

  A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with: `ObjectBrowser.inspect(myObject)` .

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `ObjectBrowser.1` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `arrayTable`
    `Object` | `cards`
    `Object` | `collectionTable`
    `Object` | `fieldTable`
    `Object` | `frame`
    `Object` | `inspector`
    `Object` | `mapTable`
    `Object` | `mb`
    `Object` | `methodTable`
    `String` | `path`
    `int` | `pathCount`
    `Object` | `pathMenu`
    `Object` | `swing`
    `Object` | `tracker`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectBrowser()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `aboutAction(EventObject evt)`
    `` | `void` | `addSorter(Object table)`
    `` | `void` | `copyAction(Object table, MouseEvent me, EventObject evt)`
    `` | `static void` | `inspect(Object objectUnderInspection, String path)`
    `` | `void` | `inspectAlso(Object objectUnderInspection, String path)`
    `` | `void` | `launch(Object table, Object valueCol, boolean newWindow, Object pathClosure)`
    `` | `void` | `launchAction(Object table, Object valueCol, boolean newWindow, Object pathClosure, EventObject evt)`
    `` | `static void` | `main(Object args)`
    `` | `Object` | `mouseListener(int valueCol, Closure pathClosure)`
    `` | `void` | `run()`
    `` | `void` | `show()`
    `` | `void` | `showAction(int idx, EventObject evt)`
    `` | `void` | `usageAction(EventObject evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object arrayTable

    - #### Object cards

    - #### Object collectionTable

    - #### Object fieldTable

    - #### Object frame

    - #### Object inspector

    - #### Object mapTable

    - #### Object mb

    - #### Object methodTable

    - #### String path

    - #### int pathCount

    - #### Object pathMenu

    - #### Object swing

    - #### Object tracker

  - ### Constructor Detail

    - #### ObjectBrowser()

  - ### Method Detail

    - #### void aboutAction(EventObject evt)

    - #### void addSorter(Object table)

    - #### void copyAction(Object table, MouseEvent me, EventObject evt)

    - #### static void inspect(Object objectUnderInspection, String path)

    - #### void inspectAlso(Object objectUnderInspection, String path)

    - #### void launch(Object table, Object valueCol, boolean newWindow, Object pathClosure)

    - #### void launchAction(Object table, Object valueCol, boolean newWindow, Object pathClosure, EventObject evt)

    - #### static void main(Object args)

    - #### Object mouseListener(int valueCol, Closure pathClosure)

    - #### void run()

    - #### void show()

    - #### void showAction(int idx, EventObject evt)

    - #### void usageAction(EventObject evt)